Package com.arms.api.globaltreemap.service

## Class GlobalContentsTreeMapServiceImpl

- java.lang.Object
- - com.arms.api.globaltreemap.service.GlobalContentsTreeMapServiceImpl

- All Implemented Interfaces:
    `GlobalContentsTreeMapService`

      @Service
      public class GlobalContentsTreeMapServiceImpl
      extends java.lang.Object
      implements GlobalContentsTreeMapService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalContentsTreeMapServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteByColumnValue​(java.lang.String columnName, java.lang.Long value)` |
    `java.util.List<GlobalContentsTreeMapEntity>` | `findAllBy​(GlobalContentsTreeMapEntity globalContentsTreeMapEntity)` |
    `java.util.List<GlobalContentsTreeMapEntity>` | `findAllByIds​(java.util.List<java.lang.Long> ids, java.lang.String name)` |
    `GlobalContentsTreeMapEntity` | `saveOne​(GlobalContentsTreeMapEntity globalContentsTreeMapEntity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalContentsTreeMapServiceImpl

          public GlobalContentsTreeMapServiceImpl()

  - ### Method Detail

    - #### findAllByIds

          public java.util.List<GlobalContentsTreeMapEntity> findAllByIds​(java.util.List<java.lang.Long> ids,
                                                                          java.lang.String name)

      Specified by:
        `findAllByIds` in interface `GlobalContentsTreeMapService`

    - #### saveOne

          public GlobalContentsTreeMapEntity saveOne​(GlobalContentsTreeMapEntity globalContentsTreeMapEntity)

      Specified by:
        `saveOne` in interface `GlobalContentsTreeMapService`

    - #### findAllBy

          public java.util.List<GlobalContentsTreeMapEntity> findAllBy​(GlobalContentsTreeMapEntity globalContentsTreeMapEntity)

      Specified by:
        `findAllBy` in interface `GlobalContentsTreeMapService`

    - #### deleteByColumnValue

          public void deleteByColumnValue​(java.lang.String columnName,
                                          java.lang.Long value)

      Specified by:
        `deleteByColumnValue` in interface `GlobalContentsTreeMapService`